Bug 1734819 - [rhsop10] Unable to lists some snapshots using openstack snapshot list
Summary: [rhsop10] Unable to lists some snapshots using openstack snapshot list
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Cinder Bugs List
QA Contact: Tzach Shefi
Chuck Copello
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 14:25 UTC by Ketan Mehta
Modified: 2019-11-18 15:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 15:22:42 UTC
Target Upstream Version:
tshefi: automate_bug-


Attachments (Terms of Use)

Description Ketan Mehta 2019-07-31 14:25:52 UTC
Description of problem:


Hello,

One of the end user is unable to lists snapshots created from the same volume using openstack snapshot list --all |grep <uuid>.

However, running openstack snapshot show <uuid> on the same uuid returns the desired output.

I requested for a db dump from them and the only similarity I notice is that both snapshots that are not visible under openstack snapshot list are created from the same volume & same name.

All other snapshots created from the same volume are visible under snapshot list.

Version-Release number of selected component (if applicable):

z8

How reproducible:

I tried reproducing it on the same z stream release but unfortunately, couldn't reproduce the issue.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:

Looking for additional pointers here.

Additional info:
There are a lot of snapshots created from that volume, but only these 2 snapshots are not visible under openstack snapshot list, show works fine. The only information I could find similar in between those 2 snapshots is they carry the same name. 

And they both are in available state in db, not deleted.

Comment 1 Eric Harney 2019-07-31 14:30:24 UTC
Who owns the snapshots?

Are the commands being run as a user or an admin?

Please provide exact commands being run and their output, I assume you mean "openstack volume snapshot list".

Also try:

$ openstack volume snapshot list
$ openstack volume snapshot list --all-projects
$ cinder snapshot-list
$ cinder snapshot-list --all-tenants 1
$ openstack volume snapshot show <snap>
$ cinder snapshot-show <snap>


These plus a look at the database records should provide enough info to see if this is related to the snapshots being owned by different users, etc.

Comment 2 Ketan Mehta 2019-07-31 15:32:32 UTC
Yup, the commands are being run via admin user but a different project.

I have the user id with me, I'll cross verify with cu if that belongs to admin.

Although I would like to mention that there are 181 snapshots in total from the same volume, they all have the same user & project id. 

All of them are visible under openstack snapshot list, except these two.

No, I mean the command "openstack snapshot list". It's RHOSP10 so still using openstack snapshot list & openstack snapshot show.

Mentioning the available records in my next update.


Note You need to log in before you can comment on or make changes to this bug.